/* INDICACIONES
    .respuesta { la primera palabra de una casilla draggable se usa como clase para poder darle formato css
        font-style: italic;
    }

*/

body{
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
    color: #666666;
    line-height: 2.3em;
    margin:2em;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: -moz-none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;
}

.ui-state-disabled {
    opacity: .65 !important;
    

}
.mostrar { /*Para poner o quitar elementos....*/
	display:""; /*estaba initial, RAAR mar 4,19: al usar initial provocaba que no diera salto de linea el div clase sub-item, pregunta*/
}
.ocultar {
	display: none !important; /* RAAR mar 23,19: algo esta provocando colision de css, sospecho de .addClass("col-md-3 col-lg-3");*/
}

.visible { /*Para hacer visibles o no elementos SIN QUITARLOS...*/
    visibility: visible;    
  }  
.invisible {
    visibility: hidden;
}

.blink {
    animation: blink 2s linear infinite;
    -webkit-animation: blink 2s linear infinite;
  }
  @keyframes blink {
    50% { opacity: 0.0; }
  }
  @-webkit-keyframes blink {
    50% { opacity: 0.0; }
  }

.avisaFaltante {
    border: 2px solid #ffc164 !important;
}

.objetivoSeleccionRapida { /* para click sencillo y doble click*/
    border: 2px solid paleturquoise; 

}
.bordeDrop { /*es el nomal de inicio*/
    border: 1px solid #AAAAAA;
    border-radius: 4px;
 
}

#btnPaginador {

    margin-bottom:3px;
}

.mostrarRetro{
    display:inline-block;
}

.ocultarRetro{
    display:none;
}

.reactivos.center{
	float: none;
    margin: auto;
    /*column-count:4; // para que sean columnas los reactivos con sus casillas...*/
}

.reactivos .lista-preguntas .sub-item .droppable .draggable { /* formato draggables de pregunta..., MEJOR SE APLICA EN .CLONADO*/
  /*  display: inline-block;
    border: 1px solid;
    height: 30px; 
    width: 300px;
    max-height: 300px;
    min-width: 150px;
    min-height: 30px; */
}

/*.respuestas .lista-respuestas .sub-item .draggable {*/
    .respuestas .lista-respuestas .sub-item .draggable { /*RAAR Ago 14,18: draggables area respuestas*/
        
    min-width: 150px;
    min-height: 30px;
/*  width: 500px;*/
  /*height: 30px;  */ /*RAAR inhibo esto y ajusta el marco, funcionan ok en la de JLBG*/
    padding: 5px;
	max-width: 100%; /* Esto funciona bien en zona de respuestas..*/
border: 1px solid;
	cursor:move;
	background-color: #ffffff;
   /* min-width: 100%;*/	/* Este y el display block para que esten alineadas las casillas de respuesta */
	 display: block; /*block*/
}


.reactivos .lista-preguntas, .respuestas .lista-respuestas{
    line-height: 1.5em;
    background-color:#EAEAEA;
    background: transparent; 
    -moz-border-radius: 8px;
    border-radius: 8px;
    /* padding: 10px; */
}
.sub-item > p {
   /* display: inline;*/ /*,RAAR Nov 21,18: quito esto para que sea block y no necesite <br> */
    margin-right: 6px;
}

.reactivos .lista-preguntas .sub-item, .respuestas .lista-respuestas .sub-item{
	padding: 5px;
	/* margin: 15px; */
/* display:marker;*/


}

.reactivos .lista-preguntas .sub-item .droppable{
  /*  display: inline-block;
    margin: 5px;
    padding: 5px;
    text-align: center;
    border: 1px solid #AAAAAA;
    border-radius: 4px;
    min-width: 150px;
    height: 42px;
	position: relative;
    top: 0px; */ /*13 RAAR Ago 16,18: disminuyendo dejo se encimarse al drop */
    height:auto;
 /*   width: auto;
    width: 230px;*/
	position: relative;
	/*top: 0px;*/
    content: ""; 
    display: inline-block;
    margin: 5px;
    min-width: 50px;
    min-height: 20px;
    padding: 5px;
    text-align: center;
 /*  border: 1px solid #AAAAAA;
    border-radius: 4px;*/
}

.reactivos .lista-preguntas .sub-item .droppable.ocupado{
    top: 0;
   /* height:auto;
    width: auto;  */
   /* text-align: center;

    display:inline-block;  */
}

.reactivos#reactivo{
    padding: 0;
}
#encabezado{
    padding: 0;
}
.reactivos .lista-preguntas .sub-item .droppable.ocupado.correcto{
	top: 0;
    border:1px solid green !important;
    color:green;                  /* JLBG jun 12, 2019; cambié a color original en vez de verde #030*/
}

.reactivos .lista-preguntas .sub-item .droppable.ocupado.incorrecto{
	top: 0;
    border:1px solid red !important;    
    color:red;                  /* JLBG jun 12, 2019; cambié a color original en vez de rojo #300*/
}

.reactivos .lista-preguntas .sub-item .droppable.dragOver{
	border-color: #AAAAAA;
	background-color: #AAAAAA;
}

.reactivos .lista-preguntas .sub-item .droppable.ocupado.dragOver{
	border-color: #aaaaaa;
	background-color:transparent;
}

.reactivos .lista-preguntas .sub-item .droppable.ocupado.correcto.dragOver{
    border:1px solid #0C0;
    color:green;                  /* JLBG jun 12, 2019; cambié a color original en vez de verde #030*/
}

.reactivos .lista-preguntas .sub-item .droppable .clonado{
  /*  
    width:inherit;
    height:inherit;

    min-height: 20px;*/
 /*   height:34px;
    min-width: 150px;
    text-align: center;
    border: 1px solid #AAAAAA;
    border-radius: 4px;*/

/*   max-width: 100%;
    min-width: 100%;
    max-height: 100%;
    min-height: 100%;
    padding:inherit;
    box-sizing: border-box;*/
   /* box-sizing: inherit;*/
   display: inline-block;   
  /* height:15px;*/ /*.ocupado impacta al que o contiene .droppable, asi para que funcione, texto e imagen*/
   /*width: 220px;*/
   margin: 0px; /*solo esto tenia en origen*/
   /* background-color: yellow; para debug*/
}



/*.reactivos .lista-preguntas .sub-item .droppable .clonado.correcto{*/
.ocupado.correcto >.clonado   { /* para marcar textos al calificar*/
    color:initial;        /* JLBG jun 12, 2019; cambié a color original en vez de rojo #600*/
    background-color: transparent;
    /*font-weight: bold;*/
    
}
/*.reactivos .lista-preguntas .sub-item .droppable .clonado.incorrecto{*/
.ocupado.incorrecto >.clonado{
    color:initial;    /* JLBG jun 12, 2019; cambié a color original en vez de rojo #600*/
    background-color: transparent;
    /*font-weight: bold;*/
}

.respuestas{
	text-align:center;
}

.respuestas.col-md-3{ /*RAAR elegante jun 20,18  Para que quede centrado a la derecha cuando respuestas este como columna... jun 28 lo inhabilito, da lata no pone las respuestas abajo, hay que revisar...es buena idea...*/
  /*  margin: 0; /* de aqui al transform es para centrar horizontalmente,RAAR elegante jun 20,18  elegante */
 /*   position: fixed;
    top: 50%;
    right: 50%;*/
 /*	 height: 100%; RAAR elegante jun 20,18 lo apago mientas por que si son pocos se amontonan arriba*/
/*	 transform: translate(200%, -50%);	*/
}

.respuestas.center{
	float: none;
/*	margin: auto;*/
	
}

.respuestas.center .lista-respuestas .sub-item{
	display: inline-block;
	width:100px;
    vertical-align:middle;
    margin-left: 60px;
}
.ejercicio:after{
	clear: both;
	content: "";
	display: block;
}

.imagenamostrar{
    border: thin silver solid;
    margin: 0.5em;
    font-size: 13px;
    padding: 0.5em;
    width: 50%;
align-items: center;
text-align: center;
justify-content: center;
}

.imagenamostrar img{
    width: 100%;
}

.imagenamostrar p {
    text-align: center;
    font-style: italic;
    
  }

.ejercicio-arrastrar{
    padding: 0;
}

.revisa {
    width: 300px;
    margin: auto;
}

.revisa button{
	display: block;
	width: 150px;
	margin: 10px auto;
}
.revisa:before{
	content: "";
	display: block;
	clear: both;
}
.retroalimentacion{
	text-align:center
}
.barraInferior{
    text-align: center;
    clear: both;
}
.retroBien{
    color: rgb(0, 131, 0);
    background-color: rgba(0, 255, 0, 0.1);
    border: 1px solid rgb(0, 165, 0);
    padding: 6px;
    border-radius: 3px;
	line-height:30px;
}

.retroMal{
    color: rgb(131, 0, 0);
    background-color: rgba(255, 0, 0, 0.1);
    border: 1px solid rgb(165, 0, 0);
    padding: 6px;
    border-radius: 3px;
	margin: 0 2px;
	line-height:30px;
}
/*
.retroArroba{
    color: rgb(131, 0, 0);
    background-color: rgba(255, 0, 0, 0.1);
    border: 1px solid rgb(165, 0, 0);
    padding: 6px;
    border-radius: 3px;
	margin: 0 2px;
	line-height:30px;
}*/


#txt_controles  {
    text-align: left;
    background-color: red;
    float: center;
    height: 100px;
}


#incrementar_txt {
    float: right;
    width: 42px;
    height: 42px;
    background-color: transparent;
    color: #FFFFFF;
    border: #333333 0px solid;
    cursor: pointer;
    vertical-align: middle;
    background-image: url(../img/aalto.svg);
    background-position: top;
    background-repeat: no-repeat;
  }

#decrementar_txt {
    float: right;
    margin-right: 5px;
    width: 42px;
    height: 42px;
    background-color: transparent;
    color: #FFFFFF;
    border: #333333 0px solid;
    cursor: pointer;
    vertical-align: middle;
    background-image: url(../img/abajo.svg);
    background-position: top;
    background-repeat: no-repeat;
}

#print {
    float: right;
    margin-right: 5px;
    width: 42px;
    height: 42px;
    background-color: transparent;
    color: #FFFFFF;
    border: #333333 0px solid;
    cursor: pointer;
    vertical-align: middle;
    background-image: url(../img/imprimir.svg);
    background-position: top;
    background-repeat: no-repeat;
  }
.contraste_normal{ 
    float: right;
    margin-right: 5px;
    width: 42px;
    height: 42px;
    background-color: transparent;
    color: #FFFFFF;
    border: #333333 0px solid;
    cursor: pointer;
    vertical-align: middle;
    background-position: top;
    background-repeat: no-repeat;
    background-image: url(../img/altocontraste.svg);
  }
  .contraste_b_n{
    float: right;
    margin-right: 5px;
    width: 42px;
    height: 42px;
    background-color: transparent;
    color: #FFFFFF;
    border: #333333 0px solid;
    cursor: pointer;
    vertical-align: middle;
    background-image: url(../img/contraste.svg);
    background-position: top;
    background-repeat: no-repeat;
}

.headings { /*nm*/
	font-family: 'Open Sans', sans-serif;
    color: #b1b1b1;
    letter-spacing: 1px;
    font-size: 1em;
    margin: 0;
}
p {
    font-family: 'Open Sans', sans-serif;
  /*  color: #666666;*/ /*RAAR abr, 2: se pierde en pantalla*/
    color: black;
    font-size: 1.1em;
    line-height: 1.8em;
    font-weight: 300;
    letter-spacing: .7px;
    text-align: justify;
    display: inline; /*the default is block, por la paloma al inicio del reactivo*/
}
.actividad {
    max-width: 250px;
    background: #b1b1b1;
    padding: 5px;
    border-radius: 20px;
    text-align: center;
    color: #fff!important;
    margin-bottom: 15px !important;
}
.headings-int {
    font-family: 'Open Sans', sans-serif;
    color: #6c6b82;
    letter-spacing: 1px;
    font-size: 2em;
    margin-top: 0;
}
.under-li {
    border-bottom: solid #dbdbdb;
    border-width: 3px;
    padding-bottom: 9px;
    width: 80%;
}
.palomitaReactivo{
  /*  margin-left:10px;*/
  margin-right:4px;
    color: green;
    font-size: 2em;                  /* JLBG jun 12, 2019; cambié el tamaño de la palomita y el tache*/
}
.tacheReactivo{
    margin-right:4px;
    color: red;
    font-size: 2em;
}

.palomita{
    /*  margin-left:10px;*/
    margin-left:4px;
      color: green;
      font-size: 1em;                  /* JLBG jun 12, 2019; cambié el tamaño de la palomita y el tache*/
  }
  .tache{
    margin-left:4px;
      color: red;
      font-size: 1em;
  }

.icono{
  font-size: 6em;
  float: right;
  color: #b1b1b1;
}


@media (min-width:900px){ /*mientrs mínimo */  
    .icono {
       display: none;
    }
}

@media only screen and (max-width: 480px) { /*aplicar hasta 480 px*/
	body{
		font-family: Gotham,"Helvetica Neue",Helvetica,Arial,sans-serif;	
		color: #777;
		font-size: 90%;
	}
	.respuestas .lista-respuestas .sub-item .draggable {
		max-width: 200px;
    }
    .ocupado.correcto >.clonado   { /* para marcar textos al calificar*/
        font-weight: bold;        
    }
    .ocupado.incorrecto >.clonado{
        font-weight: bold;
    }
    
}

.tooltip{
   
}

/*  Clases para retros tooltip JLBG*/
.tooltip.in {opacity:1!important;}
.tooltip-inner {font-size: 1.2em; text-align: left;};
.tooltip.primary .tooltip-inner          { background-color:    #337ab7; }
.tooltip.primary .tooltip-inner          { background-color:    #337ab7; }
.tooltip.primary.top > .tooltip-arrow    { border-top-color:    #337ab7; }
.tooltip.primary.right > .tooltip-arrow  { border-right-color:  #337ab7; }
.tooltip.primary.bottom > .tooltip-arrow { border-bottom-color: #337ab7; }
.tooltip.primary.left > .tooltip-arrow   { border-left-color:   #337ab7; }

.tooltip.info .tooltip-inner          { background-color:    #31b0d5; }
.tooltip.info.top > .tooltip-arrow    { border-top-color:    #31b0d5; }
.tooltip.info.right > .tooltip-arrow  { border-right-color:  #31b0d5; }
.tooltip.info.bottom > .tooltip-arrow { border-bottom-color: #31b0d5; }
.tooltip.info.left > .tooltip-arrow   { border-left-color:   #31b0d5; }

.tooltip.success .tooltip-inner          { background-color:    #449d44; width: 150px; }
.tooltip.success.top > .tooltip-arrow    { border-top-color:    #449d44; }
.tooltip.success.right > .tooltip-arrow  { border-right-color:  #449d44; }
.tooltip.success.bottom > .tooltip-arrow { border-bottom-color: #449d44; }
.tooltip.success.left > .tooltip-arrow   { border-left-color:   #449d44; }

.tooltip.warning .tooltip-inner          { background-color:    #ec971f; }
.tooltip.warning.top > .tooltip-arrow    { border-top-color:    #ec971f; }
.tooltip.warning.right > .tooltip-arrow  { border-right-color:  #ec971f; }
.tooltip.warning.bottom > .tooltip-arrow { border-bottom-color: #ec971f; }
.tooltip.warning.left > .tooltip-arrow   { border-left-color:   #ec971f; }

.tooltip.danger .tooltip-inner          { background-color:    #d9534f; width: 150px; }
.tooltip.danger.top > .tooltip-arrow    { border-top-color:    #d9534f; }
.tooltip.danger.right > .tooltip-arrow  { border-right-color:  #d9534f; }
.tooltip.danger.bottom > .tooltip-arrow { border-bottom-color: #d9534f; }
.tooltip.danger.left > .tooltip-arrow   { border-left-color:   #d9534f; }